Partially Update Client Control

Updates specific fields of a control. Only the fields provided in the request body will be updated.
All other fields will remain unchanged.

Request property names use snake_case in JSON. When status is included, it is applied after the other scalar fields in the same request. Combined control_set_name and control_family_name update the control set first, then the family.

Allowed values for patchable fields:

  • name: control title
  • description: control description
  • code: business / display code (e.g. HRM-1)
  • status: Not Implemented, Partially Implemented, Implemented, Alternative implementation, In progress / Planned
  • owner: user email or display name
  • type: Preventive, Corrective, Detective
  • frequency: Weekly, Monthly, Quarterly, Bi-Annual, Annual
  • team: team name
  • implementation_notes: implementation or testing notes
  • control_family_name: control family display name within a control set (use with control_set_name when the family name is not unique)
  • control_set_name: control set display name
  • priority: Not Set, Low, Medium, High, Critical
  • effectiveness: Not Performed, Performed Informally, Planned & Tracked, Automated, Quantitatively Measured
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique identifier of the client

integer
required

Control primary key identifier.

Body Params

Fields to update for the control. Only provided fields will be modified.

Partial update for a control. Include only fields to change.
At least one field is required. When status is included, it is applied after the other fields in the same request.

string

Control name / title

string

Control description

string

Business / display code

string
enum
^(Not Implemented|Partially Implemented|Implemented|Alternative implementation|In progress / Planned)$

Control status. Only the catalog labels below are valid.

Allowed:
string

Owner email or exact display name (case-insensitive match on name)

string
enum
^(Preventive|Corrective|Detective)$

Control type. Only the catalog labels below are valid.

Allowed:
string
enum
^(Weekly|Monthly|Quarterly|Bi-Annual|Annual)$

Review frequency. Only the catalog labels below are valid.

Allowed:
string

Team name; must match the stored name exactly

string

Implementation or testing notes

string

Control family display name within the control set

string

Control set display name; required when changing control family if the family name is not unique

string
enum
^(Not Set|Low|Medium|High|Critical)$

Priority. Only the catalog labels below are valid.

Allowed:
string
enum
^(Not Performed|Performed Informally|Planned & Tracked|Automated|Quantitatively Measured)$

Effectiveness. Only the catalog labels below are valid.

Allowed:
tags
array of strings
tags
contributors
array of strings
contributors
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json